%define name smeserver-wsdd
%define version 0.2
%define release 3
Summary: Plugin to enable wsdd
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: python3
Requires: wsdd >= 0.6

Patch0: smeserver-wsdd-0.2-Add-in-systemd-startup-in-createlinks.patch
Patch1: smeserver-wsdd-0.2-Change-WantedBy-to-smeserver.patch

AutoReqProv: no

%description
wsdd implements a Web Service Discovery host daemon. This enables (Samba) hosts, like your local NAS device, to be found by Web Service Discovery Clients like Windows.

%changelog
* Sun Nov 29 2020 Brian Read <brianr@bjsystems.co.uk> 0.2-3.sme
- Fix systemd params - WantedBy [SME: 11209]

* Fri Nov 27 2020 Brian Read <brianr@bjsystems.co.uk> 0.2-2.sme
- Add in creatlinks stuff for systemd startup [SME: 11209]

* Mon Jul 06 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.2-1.sme
 - template unit file
 - template masq file
 - systemctl enable after install

* Wed Jul 03 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1.sme
 - Initial build

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%pre
%preun
%post

systemctl enable wsdd

echo "****************************************"
echo "https://wiki.contribs.org/wsdd"
echo "****************************************"

%postun
